Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046471 - Please include mosh service definition for firewalld
Summary: Please include mosh service definition for firewalld
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1155972
TreeView+ depends on / blocked
 
Reported: 2013-12-25 14:48 UTC by Tomasz Torcz
Modified: 2016-07-19 10:49 UTC (History)
5 users (show)

Fixed In Version: 0.3.13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:49:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomasz Torcz 2013-12-25 14:48:45 UTC
Description of problem:
Firewalld doesn't now "mosh" as service, so it cannot be easily enabled. It can be fixed by including this example file in mosh rpm:

-- mosh.xml ----
<?xml version="1.0" encoding="utf-8"?>
<service>
  <short>mosh</short>
  <description>Mobile shell that supports roaming and intelligent local echo.</description>
  <port protocol="udp" port="60000-61000"/>
</service>
---------

This files should be put in /usr/lib/firewalld/services/


Version-Release number of selected component (if applicable):
mosh-1.2.4-3.fc20.x86_64

Comment 1 Tomasz Torcz 2015-01-22 07:53:03 UTC
Packaging hints:
(Build)Require firewalld-filesystem
Use %firewalld_reload macro.

Example: http://pkgs.fedoraproject.org/cgit/systemd.git/commit/?id=b53cf7b99c507756f1b2755acf877ab815571e13

Comment 2 Tomasz Torcz 2015-01-23 13:29:36 UTC
The definition was added to firewalld package.
I would prefer to have it in affected package, so not installed services do not pollute firewalld list. But given the lack of response from mosh maintainer, this would suffice.

Comment 3 Alex Chernyakhovsky 2015-01-23 21:12:57 UTC
I was going to do a new mosh release this weekend since there were a few bugs that were worth fixing filed.

Comment 4 Michael Kuryshev 2015-01-29 18:36:13 UTC
Thanks, Alex.

Are there any estimates for fixing this? :)

Comment 5 Jaroslav Reznik 2015-03-03 15:21:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Fedora End Of Life 2016-07-19 10:49:36 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.